Bug 140844 - Display Settings Does not Allow for VideoRam Configuration
Display Settings Does not Allow for VideoRam Configuration
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-25 09:28 EST by Greg Douglas
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 15:34:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Douglas 2004-11-25 09:28:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The video chip vendor (VIA) documentation recommends the setting of
the xorg.conf video driver parameter VideoRam in order to take
advantage of Shared RAM that is available on the Motherboard.  My MSI
KM3M-V motherboard can support up to 64MB.  When selecting my video
driver (VESA (Generic), or S3 Unichrome) using the
system-config-display panel, it does not include any fields for
assigning values to this configuration parameter.

VIA literature demonstrates the setting of this value on an older
version of Redhat, probably in the installation process.

I have manually set this value in the xorg.conf file to the following
value (for 32MB):

VideoRam 32768

in order to take advantage of the 32MB Shared RAM setting on the BIOS.
 Needless to say, video performance has improved significantly.

Please make this setting available in the Display Settings panel.

Thanks.

Greg

 

Version-Release number of selected component (if applicable):
1.0.24-1

How reproducible:
Always

Steps to Reproduce:
1. Open the Display Settings panel
2. Click on the Hardware Tab
3. Click on the Configure button for the Video Card
4. Select the desired Driver, then click OK.
    

Actual Results:  The driver is selected, but there are no fields
available for more detailed driver settings.

Expected Results:  Fields should appear for more specific
configuration options, such as using Shared RAM for the video driver.

Additional info:

To my recollection, detailed driver settings such as this were
available in Redhat9.
Comment 1 Matthew Miller 2006-07-10 19:08:04 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-31 15:34:04 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.